### Class

# EvinceView JobFind

#### Description

    class EvinceView.JobFind : EvinceView.Job
    {
      gint start_page,
      gint current_page,
      gint n_pages,
      gpointer pages,
      gchar* text,
      gboolean has_results,
      EvFindOptions options
    }

No description available.

#### Ancestors

- EvJob
- GObject

#### Constructors

###### ev_job_find_new

No description available.

#### Instance methods

###### ev_job_find_get_n_main_results

This is similar to `ev_job_find_get_n_results()` but it takes care to treat any multi-line matches as being only one result.

###### ev_job_find_get_options

No description available.

since: 3.6

###### ev_job_find_get_progress

No description available.

###### ev_job_find_get_results

No description available.

###### ev_job_find_has_results

No description available.

##### Methods inherited from EvJob (12)

###### ev_job_cancel

No description available.

###### ev_job_failed

No description available.

###### ev_job_failed_from_error

No description available.

###### ev_job_get_document

No description available.

###### ev_job_get_run_mode

No description available.

###### ev_job_is_failed

No description available.

###### ev_job_is_finished

No description available.

###### ev_job_run

No description available.

###### ev_job_scheduler_push_job

No description available.

###### ev_job_scheduler_update_job

No description available.

###### ev_job_set_run_mode

No description available.

###### ev_job_succeeded

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### EvinceView.JobFind::updated

No description available.

##### Signals inherited from EvJob (2)

###### EvJob::cancelled

No description available.

###### EvJob::finished

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EvinceViewJobFindClass {
      EvJobClass parent_class;
      void (* updated) (
        EvJobFind* job,
        gint page
      );

    }

No description available.

###### Class members

`parent_class: EvJobClass`

  No description available.

`updated: void (* updated) ( EvJobFind* job, gint page )`

  No description available.

#### Virtual methods

###### EvinceView.JobFindClass.updated

No description available.